ffcall (2.4-2.1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:41:45 +0200

ffcall (2.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix ftbfs on riscv64 and this is rdep of clisp which to bootstrap sbcl on
    riscv64. (Closes: #1038803)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 21 Jun 2023 06:07:35 +0800

ffcall (2.4-2) unstable; urgency=medium

  * d/copyright: fix short license name (FSFULLR instead of FSFUL)
  * m4-dirs.patch: new patch, to tell Autoconf where to look for local macros.
    As a consequence, no longer pass these directories as arguments to aclocal
    in debian/rules. Libtool macros are thus properly updated by dh-autoreconf.
    (Closes: #1011808)
  * Bump S-V to 4.6.1
  
 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Jun 2022 10:34:29 +0200

ffcall (2.4-1) unstable; urgency=medium

  * New upstream release
  * Drop transitional package libffcall1-dev
  * Fix d/upstream/signing-key.asc
  * d/copyright: reflect upstream changes
  * cross.patch: drop patch, applied upstream
  * mips-r6.patch: drop patch, no longer applies. This patch should rather
    be upstreamed, it’s not maintainable at the Debian level.
  * lib{avcall1,ffcall1b}.symbols: add new symbols
  * Bump to debhelper 13
  * Bump S-V to 4.6.0
  * Add d/upstream/metadata
  * Move Homepage and Upstream-Contact fields to gnu.org

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Aug 2021 19:05:36 +0200

ffcall (2.2-1) unstable; urgency=medium

  * New upstream release
    + fixes hppa support (Closes: #457930, #883043)
  * Drop mips-fpxx.patch, no longer needed
  * mips-r6.patch: refresh patch, and incorporate fix for jaql instruction.
    Thanks to Luyou Peng (Closes: #925129)
  * cross.patch: new patch, fixes FTCBFS. Thanks to Helmut Grohne
    (Closes: #909125)
  * d/copyright: reflect upstream changes
  * Add Build-Depends-Package field in symbols files
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.4.0
  * Bump to debhelper compat level 12
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Submit.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 28 Aug 2019 21:39:51 +0200

ffcall (2.1-2) unstable; urgency=medium

  * mips-r6.patch: new patch by YunQiang Su, fixes build on MIPS r6.
    (Closes: #893851)
  * Set Maintainer to debian-common-lisp@l.d.o.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 11 Apr 2018 19:47:18 +0200

ffcall (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields for move to salsa.
  * Drop fix-powerpcspe.patch, outdated, no longer works.
  * Drop trampoline-mips64el.patch, applied upstream.
  * No longer disable PIE on armhf, not needed anymore.
  * Bump to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Feb 2018 21:30:10 +0100

ffcall (2.0-2) unstable; urgency=medium

  * Fix FTBFS on armhf by disabling PIE (for vacall test).
  * trampoline-mips64el.patch: new patch, fixes FTBFS on mips64el.
  * Fix symbols file on sparc64 (callback_get_receiver not present there).
  * mips-fpxx.patch: regenerate avcall assembly files using -fno-tree-dce.
    This fixes test failures on mips and mipsel.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Nov 2017 18:23:10 +0100

ffcall (2.0-1) experimental; urgency=medium

  * New upstream version 2.0
  * Rewrite debian/copyright using machine-readable format 1.0.
  * Move under Debian Common Lisp Team maintenance.
    Thanks to Christoph Egger for his past work on this package.
  * Verify PGP signature of upstream tarball.
  * Drop Fix_MIPS_N32_test.patch, no longer needed.
  * Bump to debhelper compat level 10.
  * Make testsuite failures fatal at build time.
  * Reorganize binary packages:
    - libffcall1-dev renamed to libffcall-dev (with a transitional package)
    - libffcall1a renamed to libffcall1b: now contains the new libffcall shared
      library, which combines avcall and callback
    - new libavcall1 and libcallback1 packages, for providing the separate
      libraries, which are now deprecated
    - new shared library package libtrampoline1
  * Ship all docs under /usr/share/doc/libffcall-dev.
  * Mark all binary packages as M-A same.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 09 Nov 2017 16:08:34 +0100

ffcall (1.13-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename libffcall1 to libffcall1a because ABI was broken in 1.13-0.1.
    (Closes: #874068)
  * Update symbols file. This should fix FTBFS on hurd-i386, powerpcspe and
    sparc64.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Sep 2017 23:43:43 +0200

ffcall (1.13-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Thanks to Frédéric Bonnard for crafting a first version of this upload.
    (Closes: #868021)
  * New upstream version 1.13. (Closes: #806992)
    + better ppc64el support (Closes: #871567)
    + better arm64 support (Closes: #758379)
    + fixes testsuite failure on any-amd64 (Closes: #451356)
    + executable stack no longer needed (Closes: #445895)
  * d/copyright: ffcall has been relicensed to GPL-2+
  * Drop patches no longer needed:
    + 0001-fix-callback-on-x86_64.patch
    + ppc64el-elfv2.patch
  * New mips-frpxx.patch, needed for compiling on mips and mipsel.
  * Tell aclocal to look into gnulib-m4 (because it is now patched).
    Also effectively run libtoolize. (Closes: #727848)
  * No longer mark libffcall1-dev as Multi-Arch: same. (Closes: #824725)
  * Fix URL in debian/watch.
  * Fix Vcs-Browser URL.
  * Drop obsolete README.source.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Sep 2017 16:42:44 +0200

ffcall (1.10+cvs20100619-4) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * Replaced .odp section, unexistent on ELFv2 by .localentry for the
    entry point within *.s files, which fixes ftbfs on
    ppc64el. Additionally made some other modifications for endianness
    definition for ppc64 into header files (Closes: #768236).

  [ Christoph Egger ]
  * Import path by James Cowgill to fix MIPS n32 (Closes: #782590)
  * use autoreconf dh addon including relibtoolizing
  * Update VCS URLs
  * Update compat version
  * Implement compat 9 + multiarch

 -- Christoph Egger <christoph@debian.org>  Wed, 18 May 2016 17:11:00 +0200

ffcall (1.10+cvs20100619-3) unstable; urgency=medium

  * Update config.* during build (Closes: #727848)
  * Add patch by Roland Stigge to add support for powerpcspe (Closes:
    #731647)
  * Add patch by Andrey Kutejko to save needed register content (Closes:
    #636849)

 -- Christoph Egger <christoph@debian.org>  Tue, 24 Dec 2013 12:55:04 +0100

ffcall (1.10+cvs20100619-2) unstable; urgency=low

  * Ship to unstable

 -- Christoph Egger <christoph@debian.org>  Sat, 26 Jun 2010 15:29:30 +0200

ffcall (1.10+cvs20100619-1) experimental; urgency=low

  * New Upstream  CVS snapshot  (LP: #274951) (Closes: #504515)
    * Adding support for armel
  * Upload to experimental for now

 -- Christoph Egger <christoph@debian.org>  Sat, 19 Jun 2010 17:43:53 +0200

ffcall (1.10+2.41-4) unstable; urgency=low

  * Adopt package
  * Import into git, set relevant headers
  * set Homepage: field
  * Update for Policy 3.8.4
  * Jump to debhelper 7 (non-dh for now)
  * Cleanup packaging

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Jun 2010 18:32:21 +0200

ffcall (1.10+2.41-3) unstable; urgency=low

  * Uhm.  It helps if I regenerate the configure scripts too.

 -- Hubert Chan <uhoreg@debian.org>  Tue, 21 Nov 2006 15:09:04 -0500

ffcall (1.10+2.41-2) unstable; urgency=low

  * Patch ffcall/m4/general.m4 to support mipsel. (cross fingers)

 -- Hubert Chan <uhoreg@debian.org>  Thu, 16 Nov 2006 17:37:32 -0500

ffcall (1.10+2.41-1) unstable; urgency=low

  * Update from clisp-2.41, fixing powerpc build failure.
  * New maintainer.  (Thanks to doko for his work.)
  * Bump standards version to 3.7.2. (no changes)
  * Sync copyright info.

 -- Hubert Chan <uhoreg@debian.org>  Mon, 13 Nov 2006 15:03:56 -0500

ffcall (1.10-3) unstable; urgency=low

  * Update libtool scripts to build on (GNU/k*BSD) (Petr Salinger).
    Closes: #380118.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Aug 2006 01:34:55 +0200

ffcall (1.10-2) unstable; urgency=low

  * Add support for mipsel (Thiemo Seufer). Closes: #189992.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Mar 2005 14:57:56 +0200

ffcall (1.10-1) unstable; urgency=low

  * New upstream version.
  * Apply patch from arm
    (http://savannah.gnu.org/bugs/?func=detailitem&item_id=9468).

 -- Matthias Klose <doko@debian.org>  Sat,  3 Jul 2004 06:27:52 +0200

ffcall (1.9-1) unstable; urgency=low

  * New upstream version (amd64 support added).

 -- Matthias Klose <doko@debian.org>  Tue, 27 Jan 2004 07:58:04 +0100

ffcall (1.8.20030831-1) unstable; urgency=low

  * New maintainer (closes: #130293).
  * New upstream version taken from the clisp-2003-08-31 snapshot.
    - Builds on ia64 (closes: #110080).
  * mips: Don't rely on obsolete header file (closes: #189991).

 -- Matthias Klose <doko@debian.org>  Sun, 31 Aug 2003 21:04:43 +0200

ffcall (1.8-5) unstable; urgency=low

  * Patch to fix build scripts on newer Alphas.
    Thanks to Christopher Chimes.  (Closes: #153959)
  * Acknowledging NMUs below:
    (Closes: #104638)
    (Closes: #130213)
    (Closes: #129141)
    Thank you for the help.

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Fri,  9 Aug 2002 15:43:03 -0400

ffcall (1.8-4.2) unstable; urgency=low

  * NMU
  * Fix hppa compile failures.  Closes: #104638
  * Do a better job on detecting arm.  Closes: #130213.

 -- LaMont Jones <lamont@debian.org>  Thu,  4 Apr 2002 22:14:46 -0700

ffcall (1.8-4.1) unstable; urgency=low

  * Non-maintainer upload
  * s390 ffcall patches applied. (Closes: #129141)

 -- Gerhard Tonn <gt@debian.org>  Mon, 21 Jan 2002 07:46:15 +0100

ffcall (1.8-4) unstable; urgency=low

  * Added .la files into -dev, added some man pages and docs

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Sat, 28 Apr 2001 19:32:27 -0400

ffcall (1.8-3) unstable; urgency=low

  * Updated Standards Version

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Tue, 24 Apr 2001 13:44:14 -0400

ffcall (1.8-2) unstable; urgency=low

  * Fixed some lintian warnings

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Mon, 26 Mar 2001 00:35:00 -0500

ffcall (1.8-1) unstable; urgency=low

  * Updated Standards-Version

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Sun, 25 Mar 2001 23:17:29 -0500

ffcall (1.8-0) unstable; urgency=low

  * NMU.
  * New upstream release

 -- Matthias Klose <doko@debian.org>  Sun, 25 Feb 2001 07:37:32 +0100

ffcall (1.7-2) unstable; urgency=low

  * Bugfixes in package

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Fri, 16 Feb 2001 20:02:41 -0500

ffcall (1.7-1) unstable; urgency=low

  * New upstream release

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Mon,  8 Jan 2001 15:53:12 -0500

ffcall (1.6-1) unstable; urgency=low

  * Initial Release.

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Sat,  6 Jan 2001 23:29:53 -0500
